<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Gulp with TailwindCSS with JIT</title>
    <link rel="stylesheet" type="text/css" href="./css/style.css">
</head>
<body class="bg-gray-200">
    <header class="p-20 bg-gradient-to-r from-red-400 via-red-500 to-pink-500 text-center">
        <h1 class="hero-heading">Gulp with TailwindCSS Kit with JIT</h1>
        <p class="w-full text-center text-white text-xl leading-5 mb-10">Updated with Tailwind 2.0, PostCss 8.0+</p>
        <div class="py-15 flex justify-center space-x-6">
            <a class="github-button" href="https://gitlab.com/xex.exe/tailwindcss-glup-jit" data-icon="octicon-star" data-show-count="true" aria-label="Star manjumjn/gulp-with-tailwindcss on GitHub">Star</a>
        </div>
    </header>
    <div class="mx-auto py-20 max-w-2xl">
        <img class="shadow transition-shadow duration-500 rounded hover:shadow-lg mb-10" src="img/cover.jpg" alt="Gulp with TailwindCSS">
        <div class="instructions">
            <div class="mb-20 text-gray-700">
                <h4 class="sub-title">Usage</h4>
                <p>Use the following commands to get started.</p>
                <code class="code transform translate-x-[20px]">
                    <em>// To Install Dev Depedencies</em><br/>
                    npm install<br/><br/>

                    <em>// To start development and server for live preview</em><br/>
                    npm run dev<br/><br/>

                    <em>// To generate minifed,optamized files for production server</em><br/>
                    npm run prod
                </code>
            </div>

            <div class="mb-10 text-gray-600">
                    <h4 class="sub-title">Options</h4>
                    <p>To change the path of files and destination/build folder configure at <b class="font-bold">config.js</b> file</p>
                    <!-- Ignore the messay code :P only for demo -->
<code class="code pre transform translate-x-[-20px]">config: {
    ...
    port: 8080 <em>//Update port here</em>
},
paths: {
    root: "./",
    src: {
        base: "./src",
        css: "./src/css",
        js: "./src/js",
        img: "./src/img"
    },
    dist: {
        base: "./dist",
        css: "./dist/css",
        js: "./dist/js",
        img: "./dist/img"
    },
    build: {
        base: "./build",
        css: "./build/css",
        js: "./build/js",
        img: "./build/img"
    }
}
</code>
                </div>

        </div>

        <div class="social">
            <p class="w-full text-center">Want to connect us?</p>
            <div class="flex justify-center space-x-6">
                <a href="https://the-red-button.ru">Website</a>
            </div>
            <div class="flex justify-center space-x-6">
                <a href="https://github.com/lazymozek/gulp-with-tailwindcss">Fork for </a>
            </div>
        </div>
    </div>

    <script src="./js/scripts.js"></script>


</body>
</html>
